Get exchange rate between account base currency and target currency
curl --request GET \
--url https://gateway.amana.io/trading/fx \
--header 'Authorization: Bearer <token>'import requests
url = "https://gateway.amana.io/trading/fx"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gateway.amana.io/trading/fx', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rate": 123
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}trading
Get exchange rate between account base currency and target currency
Returns the exchange rate from the account’s base currency (e.g. USD) to the requested target currency. Use this to convert P&L or balance figures into a preferred display currency.
GET
/
trading
/
fx
Get exchange rate between account base currency and target currency
Last modified on October 7, 2026
